#include "MainView.h"
#include "../../../../pokktsdk/PokktCocosManager.h"
#include "../Storage.h"

using namespace cocos2d;
using namespace ui;

bool MainView::init()
{
    if (!BaseView::init())
        return false;
    
    backButton->setVisible(false);
    
    int yPos = logo->getPosition().y - logo->getBoundingBox().size.height / 2 - 100;
    
    std::string statusMessage = Storage::getAutoCaching() ?
                                "Auto Cached: ENABLED" :
                                "Auto Cached: DISABLED" ;
    auto lblAutoCachingStatus = createLabel(statusMessage, 25, Color3B::WHITE, Vec2(visibleSize.width / 2, yPos));
    lblAutoCachingStatus->setTextHorizontalAlignment(TextHAlignment::CENTER);
    this->addChild(lblAutoCachingStatus);
    
    yPos -= 120;
    
    // create buttons
    _btnOfferwall = createButton("Test Offerwall", CC_CALLBACK_1(MainView::handleOfferwallClick, this), "button_purple.png");
    _btnOfferwall->setPosition(Vec2(visibleSize.width / 2, yPos));
    this->addChild(_btnOfferwall);
    
#if (CC_TARGET_PLATFORM == CC_PLATFORM_IOS)
    _btnOfferwall->setVisible(false); // not available for ios
#endif
    
    yPos -= 120;
    
    _btnVideo = createButton("Test Video", CC_CALLBACK_1(MainView::handleVideoClick, this));
    _btnVideo->setPosition(Vec2(visibleSize.width / 2, yPos));
    this->addChild(_btnVideo);
    
    yPos -= 120;
    
    return true;
}

void MainView::handleBackPress(cocos2d::Ref *pSender)
{
    // exit the app
    Director::getInstance()->end();
}

void MainView::handleOfferwallClick(cocos2d::Ref *pSender)
{
    changeView(AppView::OfferwallView);
}

void MainView::handleVideoClick(cocos2d::Ref *pSender)
{
    changeView(AppView::VideoView);
}
