#ifndef __CocosPokktApp__OfferwallView__
#define __CocosPokktApp__OfferwallView__

#include <stdio.h>
#include "BaseView.h"
#include "cocos2d.h"
#include "../../../../../cocos2d/cocos/ui/UIButton.h"
#include "../../../../../cocos2d/cocos/ui/UIText.h"
#include "../../../../../cocos2d/cocos/ui/UITextField.h"
#include "../../../../../cocos2d/cocos/ui/UICheckBox.h"
#include "../../../../pokktsdk/PokktCocosConfig.h"

class OfferwallView : public BaseView
{
public:
    
    CREATE_FUNC(OfferwallView);
    
    virtual ~OfferwallView();
    
    virtual void handleBackPress(cocos2d::Ref *pSender);
    virtual void handleEnterForeground();
    
protected:
    
    virtual bool init();
    
private:

    static PokktCocosConfig *pokktCocosConfig;
    
    cocos2d::ui::Button* _btnGetOfferwallAny;
    cocos2d::ui::Button* _btnGetOfferwallFix;
    cocos2d::ui::Button* _btnIncompleteCallback;
    
    cocos2d::ui::Text* _txtPointsEarned;
    cocos2d::ui::TextField* _txiEnterMaxPoints;
    cocos2d::ui::CheckBox* _chkCloseOnSuccess;
    
    int _coinsEarned;
    
    // handlers
    void handleTextInput(cocos2d::Ref* pSender);
    void handleCheckBox(cocos2d::Ref* pSender);
    void handleGetOfferwallAny(cocos2d::Ref* pSender);
    void handleGetOfferwallFix(cocos2d::Ref* pSender);
    void handleIncompleteCallback(cocos2d::Ref* pSender);
    
    // pokkt handlers
    void handleCoinResponse(std::string coins);
    void handleCoinResponseWithTrId(std::string coinsWithTrId);
    void handleCoinResponseFailed(std::string message);
    void handleCampaignAvailibity(std::string message);
    void handleOfferwallclosed(std::string message);
};

#endif /* defined(__CocosPokktApp__OfferwallView__) */
